
/* general style */

html, body, .canvas, .canvas {
  height: 100%;
}

body {
  margin: 0;
  background-color: #e6e6e6;
  color: rgb(25.5, 27.5, 27.5);
  font-size: 14px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

header {
  position: fixed;
  background-color: #444;
  width: 100%;
  height: 46px;
  text-align: center;
  padding-left: 2px;
  padding-right: 2px;
}

header img {
  margin-top: -7px;
}

.hide {
  display: none !important;
}


/* content style */

h1 {
  font-size: 21px;
  font-weight: normal;
  margin: 0;
  @media only screen and (max-width: 575px) {
    font-size: 18px;
  }
}

.canvas {
  padding-left: 8px;
  padding-right: 8px;
  position: relative;
  padding-top: 86px;
}

.card.login {
  max-width: 400px;
  box-shadow: rgba(0, 0, 0, 0.19) 0 10px 20px, rgba(0, 0, 0, 0.23) 0 6px 6px;
}

.card {
  margin-left: auto;
  margin-right: auto;
  padding: .8rem;
  border-radius: 7px;
  border: 2px solid #f5f5f5;
  background-color: #f9f9f9;
  max-width: 400px;
  box-shadow: rgba(0, 0, 0, 0.16) 0 1px 4px;
}
.card-header {
  padding-bottom: 16px;
}
.login .card-content .grid {
  margin-bottom: 16px !important;
}
.card-content .grid .cell:first-child {
  max-width: 146px;
}
.card-footer {
  padding-top: 16px;
}
.card-footer .cell {
  @media only screen and (min-width: 576px) {
    text-align: right;
  }
  @media only screen and (max-width: 575px) {
    text-align: center;
  }
}


/* form style */

.label {
  display: block;
  padding: 4px 2px;  
}
.value {
  font-size: 14px;
  font-weight: bold;
}

label {
  display: block;
  cursor: pointer;
}

input {
  width: calc(100% - 8px);
  padding: 4px 2px;
  font-size: 14px;
  font-weight: bold;
  border-top: none;
  border-Right: none;
  border-bottom: solid 1px rgb(63.9275,89.2175,104.6725, .4);
  border-left: none;
  background-color: transparent;
  color: rgb(0,0,0);
}

input:hover {
  border-bottom: solid 1px rgb(63.9275,89.2175,104.6725, 1);
}

input:focus {
  border-bottom: solid 1px rgb(63.9275,89.2175,104.6725, 1);
}

input:focus-visible {
  outline: none;
  background-color: transparent;
  border-bottom: solid 2px rgb(63.9275,89.2175,104.6725);
  margin-bottom: -1px;
}

.message {
  display: block;
  padding: 8px;
  text-align: center;
  border-radius: 7px;
}
.message.success {
  background-color: #c4da5a;
  color: #000000;
}
.message.error {
  background-color: rgb(219, 68, 55);
  color: rgb(255,255,255);
}

button {
  background-color: #5f8100;
  color: white;
  font-size: 14px;
  border-radius: 3px;
  border: none;
  outline: none;
  padding: 6px 8px;
  @media only screen and (max-width: 300px) {
    width: 100%;
  }
}

button:hover {
  background-color: #7fa200;
  cursor: pointer;
}